ServerEvents.recipes(event => {







    //Create addition

    event.shaped(
        Item.of('createaddition:spool', 16), 
        [
        'AAA',
        ' B ',
        'AAA'
        ],
        {
        A: 'tfc:metal/sheet/cast_iron',
        B: 'tfc:metal/rod/cast_iron'
        }
    )

    event.shaped(
        Item.of('createaddition:modular_accumulator', 1), 
        [
        ' A ',
        'BCB',
        ' D '
        ],
        {
        A: 'immersiveengineering:connector_lv_relay',
        B: 'pneumaticcraft:capacitor',
        C: 'create:brass_casing',
        D: 'createaddition:gold_wire'
        }
    )

    event.shaped(
        Item.of('createaddition:digital_adapter', 1), 
        [
        'AB',
        'C '
        ],
        {
        A: '#computercraft:wired_modem',
        B: 'create:brass_sheet',
        C: 'minecraft:redstone_torch'
        }
    )

    event.shaped(
        Item.of('createaddition:portable_energy_interface', 1), 
        [
        'AB',
        'C '
        ],
        {
        A: 'create:brass_casing',
        B: 'create:chute',
        C: 'immersiveengineering:wirecoil_copper'
        }
    )

    event.shaped(
        Item.of('createaddition:rolling_mill', 1), 
        [
        'ABA',
        'CBC',
        'DDD'
        ],
        {
        A: 'tfc:metal/sheet/wrought_iron',
        B: 'create:shaft',
        C: 'create:andesite_alloy',
        D: 'create:andesite_casing'
        }
    )






    //Rolling

    event.custom( {
        "type":"createaddition:rolling",
        "input": {
              "item": "tfc:metal/sheet/wrought_iron"
        },
        "result": {
            "item": "createaddition:iron_wire",
            "count": 4
        }
     }
    )

    event.custom( {
        "type":"createaddition:rolling",
        "input": {
              "item": "tfc_ie_addon:metal/sheet/lead"
        },
        "result": {
            "item": "immersiveengineering:wire_lead",
            "count": 4
        }
     }
    )
    
    event.custom( {
        "type":"createaddition:rolling",
        "input": {
              "item": "tfc:metal/sheet/steel"
        },
        "result": {
            "item": "immersiveengineering:wire_steel",
            "count": 4
        }
     }
    )
    
    event.custom( {
        "type":"createaddition:rolling",
        "input": {
              "item": "tfc_ie_addon:metal/sheet/aluminum"
        },
        "result": {
            "item": "immersiveengineering:wire_aluminum",
            "count": 4
        }
     }
    )
    
    event.custom( {
        "type":"createaddition:rolling",
        "input": {
              "item": "tfc_ie_addon:metal/sheet/electrum"
        },
        "result": {
            "item": "immersiveengineering:wire_electrum",
            "count": 4
        }
     }
    )
    
    event.custom( {
        "type":"createaddition:rolling",
        "input": {
              "item": "tfc:metal/sheet/copper"
        },
        "result": {
            "item": "immersiveengineering:wire_copper",
            "count": 4
        }
     }
    )
    
    event.custom( {
        "type":"createaddition:rolling",
        "input": {
              "item": "tfc:metal/sheet/gold"
        },
        "result": {
            "item": "createaddition:gold_wire",
            "count": 4
        }
     }
    )

   

})